$(window).on('load', function() {
    if ($('.preloader').length) {
        $('.preloader').fadeOut('slow');
    }
});
var viewport_width = window.innerWidth;
$(window).scroll(function () {
    $('header').toggleClass('fixed', $(document).scrollTop() > $('header').height() + 10);
    if ($('header').hasClass("fixed")) {
        if ($("headerLink").hasClass("active")) {
            $(".headerLink").removeClass("active");
            $(".menuPopup").removeClass("active")
        }
        if (viewport_width <= 768) {
            if ($(".filterButton").hasClass("active")) {
                $(".filterButton").removeClass("active");
                $(".subContentHead").removeClass("filterShow");
                $(".subContentBody").removeClass("filterShow");
            }
        }
    }
});

$(document).ready(function () {
    $('.custom-file-input input[type="file"]').change(function (e) {
        $(this).addClass("active").siblings('input[type="text"]').addClass("active").val(e.target.files[0].name);
    });
});
/*Filter Menu */
$(".filterButton").click(function () {
    $(this).toggleClass("active");
    $(this).hasClass("active") ? ($(".subContentHead").addClass("filterShow"), $(".subContentBody").addClass("filterShow")) : ($(".subContentHead").removeClass("filterShow"), $(".subContentBody").removeClass("filterShow"))
});
/*Filter Thumb List */
$(".filterListingFormat a").click(function () {
    $(".filterListingFormat a").removeClass("active");
    $(this).addClass("active");

    $(this).hasClass("gridList") ? ($(".gridGallery").removeClass("thumbList"), $(".gridGallery").addClass("gridThumb")) : ($(".gridGallery").removeClass("gridThumb"), $(".gridGallery").addClass("thumbList"));
});
/*Filter Accordion content*/
$(".filterAccList .filterTitle").click(function (e) {
    $(this).hasClass("active") ?
        ($(this).removeClass("active"), $(this).parent(".filterDd").removeClass("active"),$(this).parent(".filterDd").find(".filterContent").removeClass("active")) :
        ($(".filterAccList .filterTitle").removeClass("active"), $(".filterDd").removeClass("active"),$(".filterContent").removeClass("active"),$(this).addClass("active"), $(this).parent(".filterDd").addClass("active"), $(this).parent(".filterDd").find(".filterContent").addClass("active"));
});
$(".allFilterButton").click(function () {  
    $(this).toggleClass("active");
    $(this).hasClass("active")  ?   ($(".filterArea").addClass("allList"),$(".filterAccList").find(".passive").addClass("active").fadeIn(700)) : ($(".filterArea").removeClass("allList"),$(".filterAccList").find(".passive").removeClass("active").fadeOut(700));
})
// $(".filterAccList .filterTitle").click(function (e) {
//     $(this).hasClass("active") ?
//         ($(this).removeClass("active"), $(this).next().removeClass("active")) :
//         ($(this).closest('.acc').find(".filterContent").removeClass("active"), $(this).closest('.acc').find(".filterTitle").removeClass("active"), $(this).addClass("active"), $(this).next(".filterContent").addClass("active"));
// });
/*Tab Menü */
$(".tabsTitle .tabButton").click(function () {
    var $elemnt = $(this),
        $indis = $(this).index(),
        $tab = $elemnt.siblings(),
        $content = $tab.parents(".tabsTitle").siblings().children();

    $tab.removeClass("active");
    $elemnt.addClass("active");

    $content.removeClass("active");
    $content.eq($indis).addClass("active");
});
/*Mobile Menü */
$(".mobileMenuButton").click(function () {
    $(this).toggleClass("active");
    $(".otherColumn").toggleClass("active");
    $(this).hasClass("active") ? $("body,html").css("overflow", "hidden") : ($("body,html").css("overflow", "visible"), $(".headerLink").removeClass("active"), $(".menuPopup").removeClass("active"));
    if ($(".filterButton").hasClass("active")) {
        $(".subContentHead").removeClass("filterShow");
        $(".subContentBody").removeClass("filterShow");
    }
})

$(".headerLink").click(function () {
    $(this).hasClass("active") ? ($(".headerLink").removeClass("active"), $(".menuPopup").removeClass("active"), $(this).removeClass("active"), $(this).next(".menuPopup").removeClass("active")) : ($(".headerLink").removeClass("active"), $(".menuPopup").removeClass("active"), $(this).addClass("active"), $(this).next(".menuPopup").addClass("active"))
});

$('[data-fancybox]').fancybox({
    toolbar: false,
    smallBtn: true,
	iframe : {
		css : {
			width : '70%',
            height : '60%'
		}
	}
});